Skip to main content
GET
/
{report_id}
/
download
Download a Report
curl --request GET \
  --url https://api-sandbox.y.uno/v2/reports/{report_id}/download \
  --header 'X-Organization-Code: <x-organization-code>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
"{\n  \"type\": \"TRANSACTIONS\",\n  \"download_link\": \"https://s3.amazonaws.com/.../report.csv\",\n  \"status\": \"AVAILABLE\"\n}"
Recent endpoint updateThis endpoint was recently updated to version 2 (see “V2” in the URL). Version 1 has been deprecated, we recommend switching to V2 as soon as possible.
To retrieve the file content, use your API credentials to access the file specified by the report object id.
Downloading reportsThe API response will include a link with to download the report. Open the link through your browser to access the data.
Explore the following links to access various report examples:

Payments

Settlement Report

Transaction Report

Transaction Reconciliation

Communications

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Headers

X-Organization-Code
string
required

Organization code associated to the request.

Path Parameters

report_id
string
required

The report unique identifier.

Response

200

type
string
Example:

"TRANSACTIONS"

Example:

"https://s3.amazonaws.com/.../report.csv"

status
string
Example:

"AVAILABLE"